Name:           spin
Version:        1.5
Release:        6%{?dist}
Summary:        A transparent threading solution for non-freezing Swing applications
License:        LGPLv2
Group:          Development/Tools
Url:            http://spin.sourceforge.net/
BuildArch:      noarch

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-all.zip
Patch0:         %{name}-pom_xml.patch

BuildRequires:  maven
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1:1.6.0

BuildRequires:  cglib
BuildRequires:  objectweb-asm


Requires:       java >= 1:1.6.0
Requires:       jpackage-utils

Requires:       cglib
Requires:       objectweb-asm


%description
Spin is a small library that concentrates on offering a powerful solution
to build non-freezing Swing applications. Spin enforces good application
design by separating the GUI and non-visual components through interfaces.
If it is used wisely in an application framework, the GUI programmers will
never have to think about threads again.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils
%description javadoc
Documentation for the spin Java library.

%prep
%setup -q
# Remove pre-build jar files
%{__rm} -rf lib
# Compile against the correct version of cglib
%patch0 -p1

%build
# One of the tests tries to access the X display
mvn-rpmbuild install javadoc:aggregate -DskipTests

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT/%{_javadir}/%{name}.jar
install -d -m 755 ${RPM_BUILD_ROOT}%{_javadocdir}/
cp -r target/site/apidocs ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}
%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%doc license.txt
%{_javadir}/*.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom

%files javadoc
%doc license.txt
%{_javadocdir}/%{name}

%changelog
* Wed May  2 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-6
- Don't include external license file

* Tue Apr 10 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-5
- Remove pre-built jar files before building
- Don't clean buildroot before compiling
- Include most recent version of the LGPL

* Mon Apr  2 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-4
- Clean up pom.xml patch
- Remove dos2unix build requirement
- Ensure that it builds with Java 1.6.0+

* Mon Feb 13 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-3
- Remove defattr from files section
- Add license to javadoc subpackage

* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-2
- Remove clean section, install unversioned javadocs
- Fix line endings in license file

* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5-1
- Initial package
